import request from '@/utils/request'

// 确认静电接地，跨接
export function handleConfirmFranklinism(data) {
  return request({
    url: '/pssr/franklinism/confirmFranklinism',
    method: 'put',
    data: data
  })
}

// 驳回静电接地，跨接
export function handleTurnDownFranklinism(data) {
  return request({
    url: '/pssr/franklinism/turnDownFranklinism',
    method: 'put',
    data: data
  })
}

// 查询静电接地，跨接列表
export function listFranklinism(query) {
  return request({
    url: '/pssr/franklinism/list',
    method: 'get',
    params: query
  })
}

// 查询静电接地，跨接详细
export function getFranklinism(id) {
  return request({
    url: '/pssr/franklinism/' + id,
    method: 'get'
  })
}

// 新增静电接地，跨接
export function addFranklinism(data) {
  return request({
    url: '/pssr/franklinism',
    method: 'post',
    data: data
  })
}

// 修改静电接地，跨接
export function updateFranklinism(data) {
  return request({
    url: '/pssr/franklinism',
    method: 'put',
    data: data
  })
}

//
export function updateFranklinismBatch(data) {
  return request({
    url: '/pssr/franklinism/editBatch',
    method: 'put',
    data: data
  })
}


// 删除静电接地，跨接
export function delFranklinism(id) {
  return request({
    url: '/pssr/franklinism/' + id,
    method: 'delete'
  })
}

// 导出静电接地，跨接
export function exportFranklinism(query) {
  return request({
    url: '/pssr/franklinism/export',
    method: 'get',
    params: query
  })
}
